Subject: canadian herb books

From: [email-masked] (Rob King)
Date: Fri, 11 Nov 1994 16:35:00 GMT

[email-masked] (Mary Donthnier) wrote:

M>Where can I get the Ricter's Catalogue?  Are they good for someone trying
 >to get started?  I've been taking herbs for a while, but nw would like to
 >grow them as well.

Richter's
Goodwood, Ontario Canada LOC 1A0      FAX: 905-640-6641
They have a nice catalog, 100pgs. color photos & brief description
the cost is 2 bucks

I noticed you are in OHIO... you should try:
Companion Plants
7247 N. Coolville Ridge Rd.
Athens, OH  45701
I THINK the catalog is free... they have plants & all seeds are $1.50
with no minimum order... all seed orders are shipped for a buck..!!

Nice company.

Rob.
---
 * QMPro 1.53 * ------>---->--->-->->> [email-masked] <<-<--<---<-----